package cn.ezhizao.project.business.supplier.service.impl;

import cn.ezhizao.project.business.supplier.domain.BizSupplier;
import cn.ezhizao.project.business.supplier.domain.BizSupplierUser;
import cn.ezhizao.project.business.supplier.mapper.BizSupplierMapper;
import cn.ezhizao.project.business.supplier.service.IBizSupplierService;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * 外协商主表Service业务层处理
 *
 * @author ezhizao
 * date    2024-04-24
 */
@Service
public class BizSupplierServiceImpl extends ServiceImpl<BizSupplierMapper, BizSupplier> implements IBizSupplierService {
    @Resource
    private BizSupplierMapper bizSupplierMapper;

    /**
     * 物理删除
     *
     * @param bizSupplier 外协商主表
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizSupplier bizSupplier) {
        return bizSupplierMapper.physicalDelete(bizSupplier);
    }

    @Override
    public List<BizSupplier> getList(BizSupplier data) {
        return bizSupplierMapper.getList(data);
    }

    @Override
    public List<BizSupplier> getListByDept(SysDept data) {
        return bizSupplierMapper.getListByDept(data);
    }

    @Override
    public List<BizSupplier> getOutsourceDept(BizSupplier data) {
        return bizSupplierMapper.getOutsourceDept(data);
    }

    @Override
    public boolean checkAllReturn(BizSupplier bizSupplier) {
        return bizSupplierMapper.checkAllReturn(bizSupplier);
    }

}
